Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.css
Class StyleIterator

    java.lang.Object
      org.eclipse.birt.report.model.api.css.StyleIterator

All Implemented Interfaces:
  java.util.Iterator

    public class StyleIterator

extends java.lang.Object
implements java.util.Iterator

Iterates over the styles of an include style sheet.

Field Summary
`protected java.util.Iterator` | `iter` The cached iterator.
`protected org.eclipse.birt.report.model.core.Module` | `module` Module.

Constructor Summary
`StyleIterator(CssStyleSheetHandle styleSheet)` Constructs a iterator to return the styles of the given style sheet.

Method Summary
`boolean` | `hasNext()` Returns true if there is another style to retrieve.
`java.lang.Object` | `next()` Returns a handle of the style.
`void` | `remove()` Inherited method that is disabled in this iterator; the caller cannot remove styles using this class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iter

    protected java.util.Iterator iter

  The cached iterator.

### module

    protected org.eclipse.birt.report.model.core.Module module

  Module.

Constructor Detail

### StyleIterator

    public StyleIterator(CssStyleSheetHandle styleSheet)

  Constructs a iterator to return the styles of the given style sheet.

  Parameters:
    `styleSheet` - handle to the style sheet for which styles are included. Must not be `null`.

Method Detail

### remove

    public void remove()

  Inherited method that is disabled in this iterator; the caller cannot remove styles using this class.

  Specified by:
    `remove` in interface `java.util.Iterator`
  See Also:
    `Iterator.remove()`

### hasNext

    public boolean hasNext()

  Returns true if there is another style to retrieve.

  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Returns:
    true if there is another style to retrieve, false otherwise
  See Also:
    `Iterator.hasNext()`

### next

    public java.lang.Object next()

  Returns a handle of the style.

  Specified by:
    `next` in interface `java.util.Iterator`
  Returns:
    the handle of the style
  See Also:
    `Iterator.next()`, `SharedStyleHandle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.